<nav class="navbar navbar-expand-lg navbar-light bg-light d-print-block" role="navigation" aria-label="{{ site.i18n.menu.title }}">
  <a class="navbar-brand" href="">
    {% include_cached logo.svg %}
  </a>

  <ul class="navbar-nav d-print-none" data-controller="menu">
    {%- for item in site.i18n.menu.items -%}
      {% comment %}
      Algunos items del menú tienen layouts para indicar que
      queremos el primero de esos artículos independientemente de
      la URL.

      XXX: Como las asignaciones sobreviven a este archivo hay que
      convertirlas a nil cuando se las deja de usar.
      {% endcomment %}
      {%- if item.layout -%}
        {%- assign post = site.posts | find: 'layout', item.layout -%}
      {%- else -%}
        {%- assign post = nil -%}
      {%- endif -%}

      {%- assign href = post.url | default: item.href -%}
      {%- assign active = include.active_cache_key | equals: href -%}
      <li class="nav-item">
        <a data-target="menu.item" class="nav-link {{ active | ternary: 'active', '' }}" href="{{ href }}">
          {{ item.title }}

          {%- if active -%}
            <span class="sr-only">
              {{ site.i18n.menu.active | default: '(current)' }}
            </span>
          {%- endif -%}
        </a>
      </li>
    {%- endfor -%}
  </ul>
</nav>
